Subject: Add ViewInterface to ViewHelperVariableContainer again
Description

With r4273 all view typehints have been replaced by an "object" annotation.
Robert can't remember the exact reason.
I'd suggest to revert this change and see, whether the unit tests still run.
I think, it's really important to work with an interface rather than object

Associated revisions
Revision 5e628526 - 2010-07-12 21:49 - Sebastian Kurfuerst

[+BUGFIX] Fluid (Core): Added AbstractTemplateView Type Hints to ViewHelperVariableContainer again. Resolves #8319.
[+BUGFIX] Fluid (Core): Renamed F3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode::getViewHelper() to
F3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode::getUninitializedViewHelper()
[+TASK] Fluid (Core): Cleanup: Removed F3\Fluid\Core\Parser\TemplateParser::getConfiguration(), as it is never used.
[+TASK] Fluid (Core): Added two more backporter tokens to ease the synchronization with v4.

History
#1 - 2010-06-18 10:21 - Bastian Waidelich
- Category set to Core
- Branch set to v5

#2 - 2010-07-12 12:01 - Bastian Waidelich
- Status changed from New to Needs Feedback

#3 - 2010-07-12 20:31 - Sebastian Kurfuerst
- Status changed from Needs Feedback to Accepted
- Assigned To set to Sebastian Kurfuerst

+1, we should get rid of this @param object; in both branches. I'll try to use AbstractTemplateView here, I think this hsould be enough

#4 - 2010-07-12 20:37 - Sebastian Kurfuerst

OK; I am now using F3\Fluid\View\AbstractTemplateView in the type hint, and tested the following things:

    -  Fluid Viewhelpertest
    -  Phoenix Page Rendering (so Fluid is invoked from TypoScript)
    -  Unit Tests

and they all work, so I think that type hint should be fine. I'll commit it right away.
#5 - 2010-07-12 21:50 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

fixed in r4837, will be backported asap.
